//Developed by Marcelo de Souza
//Developed by Marcelo de Souza

function xmnt_iterateX(elems) {
    var len = elems.length;
    for (var i = 0; i < len; i++) {
        if (window.getComputedStyle(elems[i], null).getPropertyValue('position') == 'fixed') {
            xmnt_undisplay(elems[i]);
        }
    }
}
function xmnt_undisplay(elem) {
    elem.style.setProperty("position", 'relative', 'important');
    elem.style.setProperty("top", '0px', 'important');
    elem.style.setProperty("height", '0px', 'important');
    elem.style.setProperty("visibility", 'hidden', 'important');
    elem.style.setProperty("display", 'none', 'important');
}
function xmnt_clear_flyouts() {
    var elems = document.getElementsByTagName('*');
    xmnt_iterateX(elems);
    if (document.body.xmnt_observeXnodes) {
        return;
    }
    var targetNode = document.body;    
    var config = { attributes: true, attributeFilter: ['style'], childList: true, subtree: true };

    var callback = function (mutationsList) {
        for (var mutation of mutationsList) {
            if (mutation.type == 'childList') {
                xmnt_iterateX(mutation.addedNodes);
            }
            else if (mutation.type == 'attributes') {
                if (window.getComputedStyle(mutation.target, null).getPropertyValue('position') == 'fixed') {
                    xmnt_undisplay(mutation.target)
                }
            }
        }
    };
    
    var observer = new MutationObserver(callback);
    observer.observe(targetNode, config);
    document.body.xmnt_observeXnodes = observer;
}
function xmnt_start_timedOut(attr) {
    //setTimeout(xmnt_clear_flyouts, 1500);
    xmnt_clear_flyouts();
    return '';
}
xmnt_start_timedOut(#args);